# SDC Bots

## Send bot data

<mark style="color:green;">`POST`</mark> `https://api.server-discord.com/v2/bots/:id/stats`

#### Path Parameters

| Name                                 | Type   | Description |
| ------------------------------------ | ------ | ----------- |
| id<mark style="color:red;">\*</mark> | String | Айди бота   |

#### Headers

| Name                                            | Type   | Description |
| ----------------------------------------------- | ------ | ----------- |
| Authorization<mark style="color:red;">\*</mark> | String | SDC Token   |

#### Request Body

| Name                                      | Type   | Description                     |
| ----------------------------------------- | ------ | ------------------------------- |
| servers<mark style="color:red;">\*</mark> | Number | Количество серверов, не менее 1 |
| shards<mark style="color:red;">\*</mark>  | Number | Количество шардов, не менее 1   |

{% tabs %}
{% tab title="200: OK Данные успешно установлены" %}

```javascript
{
  "status": true
}
```

{% endtab %}

{% tab title="400: Bad Request Формат ошибок" %}

```javascript
{
  "error": {
    "msg": "Page not found",
    "type": "NOT FOUND",
    "code": 404
  }
}
```

{% endtab %}
{% endtabs %}

### Ограничения

{% hint style="danger" %}
Вы не можете делать больше 2 запросов за 1 минуту.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.server-discord.com/api/bots.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
